Visualizza: Ruota la vista a destra

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std ViewRotateRight and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Std ViewRotateLeft.svg Ruota a sinistra Pagina precedente:
Pagina successiva: Viste bloccate Arrow-right.svg

Std ViewRotateRight.svg Ruota a destra

Nome nel codice
Std_ViewRotateRight
Posizione nel menu
Visualizza → Viste standard → Ruota a destra
Ambiente
Tutti
Avvio veloce
Shift+Destra
Introdotto nella versione
-
Vedere anche
Ruota a sinistra


Descrizione

Il comando Ruota a destra ruota la camera nella vista 3D attiva intorno alla direzione della vista con incrementi di 90 gradi verso destra (in senso orario).

Utilizzo

  1. Esistono diversi modi per invocare il comando:
    • Selezionare l'opzione Visualizza → Viste standard → Std ViewRotateRight.svg Ruota a destra dal menu.
    • Selezionare l'opzione Viste standard → Std ViewRotateRight.svg Ruota a destra dal menu contestuale della vista 3D.
    • Usare la scorciatoia da tastiera: Maiusc+Destra.

Script

Vedere anche: Script di base per FreeCAD

Per ruotare la vista verso destra, utilizzare il metodo viewRotateRight dell'oggetto ActiveView. Questo metodo non è disponibile se FreeCAD è in modalità console.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRotateRight()
FreeCADGui.ActiveDocument.ActiveView.getCameraOrientation()
Arrow-left.svg Std ViewRotateLeft.svg Ruota a sinistra Pagina precedente:
Pagina successiva: Viste bloccate Arrow-right.svg